<?php
/**
 * SHORTCODES
 */


// Begin Shortcodes
class CentumShortcodes {
    
    function __construct() {

        //Initialize shortcodes
        add_action( 'init', array( $this, 'add_shortcodes' ), 5 );
            
    }

    function add_shortcodes() {

        $centum_shortcodes = array(
            'inc/shortcodes/accordion.php',
            'inc/shortcodes/actionbox.php',
            'inc/shortcodes/box.php',
            'inc/shortcodes/button.php',
            'inc/shortcodes/clients.php',
            'inc/shortcodes/clients_carousel.php',
            'inc/shortcodes/column.php',
            'inc/shortcodes/counter.php',
            'inc/shortcodes/feature.php',
            'inc/shortcodes/googlemap.php',
            'inc/shortcodes/headline.php',
            'inc/shortcodes/icon.php',
            'inc/shortcodes/notice.php',
            'inc/shortcodes/pricing_table.php',
            'inc/shortcodes/purelist.php',
            'inc/shortcodes/pureslideshow.php',
            'inc/shortcodes/recent_blog.php',
            'inc/shortcodes/recent_pf.php',
            'inc/shortcodes/recent_products.php',
            'inc/shortcodes/separator.php',
            'inc/shortcodes/tabs.php',
            'inc/shortcodes/team.php',
            'inc/shortcodes/testimonials.php',
            'inc/shortcodes/testimonials_wide.php',
            'inc/shortcodes/toggle.php',
            'inc/shortcodes/tooltip.php',
            
        );


        $centum_shortcodes = apply_filters( 'centum_shortcodes', $centum_shortcodes );
        foreach ( $centum_shortcodes as $shortcode ) {
          include_once locate_template( $shortcode );
        }
    
    }

     public static function get_filters($categories = false) {
        if(!empty($categories)) {
            if(is_array($categories)){
                $terms = array();
                foreach ($categories as $cat) {
                      $term = get_term_by('slug', $cat, 'filters'); 
                      $terms[] = $term;
                }
            } 
          
        } else {
            $terms = get_terms("filters");    
        }
        
        $count = count($terms);

        if ( $count > 0 ){ 
            $output = '
            <div id="filters">
                <ul class="option-set alt">
                    <li><a href="#filter" class="selected" data-filter="*">'.__('All', 'sphene').'</a></li>';
                    foreach ( $terms as $term ) {
                        $output .= '<li><a href="#filter" data-filter=".'.$term->slug.'">'. $term->name .'</a></li>';
                    } 
                $output .= '</ul>
                <div class="clearfix"></div>
            </div>';
            return $output;
        }
    }   

    
}

new CentumShortcodes();



?>