<?php 

/**
 * Recent Products shortcode
 *
 * @access public
 * @param array $atts
 * @return string
 */
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    function centum_woocommerce_recent_products( $atts, $content ) {
        extract(shortcode_atts(array(
            'orderby'=> 'date',
            'order'=> 'DESC',
            'per_page'  => '12',
            'columns'  => '4',
            'category'  => '',
            'ids' => '',
            ), $atts));

    global $woocommerce, $product;

    $randID = rand(1, 99); // Get unique ID for carousel

    $args = array(
        'suppress_filters' => false,
        'post_type' => 'product',
        'post_status' => 'publish',
        'ignore_sticky_posts'   => 1,
        'orderby'               => $orderby,
        'order'                 => $order,
        'posts_per_page'        => $per_page,
        'meta_query' => array(
            array(
                'key' => '_visibility',
                'value' => array('catalog', 'visible'),
                'compare' => 'IN'
                )
            )
        );

    if(!empty($category)) {
        $categories = explode(',', $category);
        $args['tax_query'] = array(
            array(
                'taxonomy'      => 'product_cat',
                'terms'         => $categories,
                'field'         => 'slug',
                )
            );
    }
    if ( isset( $atts['ids'] ) ) {
            $ids = explode( ',', $atts['ids'] );
            $ids = array_map( 'trim', $ids );
            $args['post__in'] = $ids;
        }

    $output = '';
    $counter = 0;
    $products = get_posts( $args );
    if ( $products ) :
        foreach( $products as $productshop ) : setup_postdata($productshop);
        $counter++;
        if ($counter == 1) {
            $class = 'alpha';
        } else if( $counter % $columns == 0) {
            $class = 'omega';
        } else if ( $counter % $columns == 1 ) {
            $class = 'alpha';
        } else if ($counter == $per_page) {
            $class = 'omega';
        } else {
            $class = '';
        }
            $product = get_product( $productshop->ID );
            $output .= '
            <div class="four columns '.$class.'">
                <div class="shop-item">
                    <figure>';
            if ( has_post_thumbnail($productshop->ID)) {
                $output .=  '<a href="'.get_permalink($productshop->ID).'" >';
                $output .= get_the_post_thumbnail($productshop->ID,'shop_catalog');
                $alt    = esc_attr( get_the_title( $productshop->ID ) );
           
                $output .= '</a>';
            }
            $output .= ' <figcaption class="item-description">';
            $output .= '
                <a href="'.get_permalink($productshop->ID).'" ><h5>'.get_the_title($productshop->ID).'</h5></a>
                            <span>'.$product->get_price_html().'</span>';
                            if($product->product_type == 'simple') {
                    // echo esc_url($product->add_to_cart_url());
                    $output .= sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="%s product-button button color product_type_%s">%s</a>',
                    esc_url( $product->add_to_cart_url() ),
                    esc_attr( $product->get_id() ),
                    esc_attr( $product->get_sku() ),
                    esc_attr( isset( $quantity ) ? $quantity : 1 ),
                    $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                    esc_attr( $product->product_type ),
                    esc_html( $product->add_to_cart_text() )
                    );
                    //$output .= '<a href="'.esc_url($product->add_to_cart_url()).'" class="add_to_cart_button product-button"><i class="fa fa-shopping-cart"></i>'.$product->single_add_to_cart_text().'</a>';
                } else {
                    $output .= '<a href="'.get_permalink($productshop->ID).'" class="button color">'.$product->add_to_cart_text().'</a>';
                }
            $output .= ' </figcaption></figure>';
            $output .= '
                </div>
            </div>';
        endforeach; // end of the loop.
    endif;

    return $output; wp_reset_postdata(); $products = '';
    }
add_shortcode('centum_recent_products', 'centum_woocommerce_recent_products');
}
 ?>