<?php

// Visual Composer related functions to implement it with Centum

$icons = centum_icons_list();


// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }

/* Widgets list */
$centum_vc_maps = array(
  'inc/vc_map/headline.php',
  'inc/vc_map/button.php',
  'inc/vc_map/iconbox.php',
  'inc/vc_map/actionbox.php',
  'inc/vc_map/royalgallery.php',
  'inc/vc_map/notice.php',
  'inc/vc_map/box.php',
  'inc/vc_map/pricing_table.php',
  'inc/vc_map/purelist.php',
  'inc/vc_map/recent_blog.php',
  'inc/vc_map/recent_pf.php',
  'inc/vc_map/recent_products.php',
  'inc/vc_map/team.php',
  'inc/vc_map/testimonials.php',
  'inc/vc_map/testimonials_wide.php',
  'inc/vc_map/clients_carousel.php',
  'inc/vc_map/counters.php',
);

$centum_vc_maps = apply_filters( 'centum_vc_maps', $centum_vc_maps );
foreach ( $centum_vc_maps as $centum_vc_map ) {
  include_once locate_template( $centum_vc_map );
}


/*
 * Recent blog posts for Visual Composer
 *
 */


/*
New parameters type:
*/

function custom_posts_list_settings_field($settings, $value) {

  
  /* setup the post types */
  $post_type = $settings['settings']['post_type'];

  /* query posts array */
  $my_posts = get_posts( array( 'post_type' => $post_type, 'posts_per_page' => -1, 'orderby' => 'title', 'order' => 'ASC', 'post_status' => 'any' ) );
  $value_arr = $value;
  if ( !is_array($value_arr) ) {
    $value_arr = array_map( 'trim', explode(',', $value_arr) );
  }

  $output = '';
  if ( is_array( $my_posts ) && ! empty( $my_posts ) ) {
    foreach( $my_posts as $my_post ) {
      $post_title = '' != $my_post->post_title ? $my_post->post_title : 'Untitled';

      $output .= '<p>';
      $output .= '<input id="'.$settings['param_name'] . '-' . $my_post->ID.'" class="'. $settings['param_name'].' '.$settings['type'].'" type="checkbox" name="'.$settings['param_name'].'" value="'. $my_post->ID.'" '.checked( in_array( $my_post->ID, $value_arr ), true, false ).' />';
      $output .= '<label for="' . $settings['param_name'] . '-' . esc_attr( $my_post->ID ) . '">' . $my_post->post_title . '</label>';
      $output .= '</p>';
    }
  } else {
   $output .= '<p>' . __( 'No Posts Found', 'option-tree' ) . '</p>';
 }

 return '<div class="custom_posts_list_block">'
 .'<input type="hidden" name="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-checkboxes '.$settings['param_name'].' '.$settings['type'].'_field" value="'.$value.'" />'
 .'<div class="custom_posts_list_items">'.$output.'</div></div>';
}


function custom_taxonomy_list_settings_field($settings, $value) {

  /* setup the post types */
  $taxname = $settings['taxonomy'];
  $value_arr = $value;
  if ( !is_array($value_arr) ) {
    $value_arr = array_map( 'trim', explode(',', $value_arr) );
  }
  $output = '';
  /* query posts array */
  $terms = get_terms( $taxname );
  if ( $terms && !is_wp_error($terms) ) {
    foreach( $terms as $term ) {

      $output .= '<p>';
      $output .= '<input id="'.$settings['param_name'] . '-' . $term->slug.'" class="'. $settings['param_name'].' '.$settings['type'].'" type="checkbox" name="'.$settings['param_name'].'" value="'. $term->slug.'" '.checked( in_array( $term->slug, $value_arr ), true, false ).' />';
      $output .= '<label for="' . $settings['param_name'] . '-' . esc_attr( $term->slug ) . '">' . $term->name . '</label>';
      $output .= '</p>';
    }
  } else {
   $output .= '<p>' . __( 'Nothing Found', 'option-tree' ) . '</p>';
 }
 return '
 <div class="custom_taxonomy_list_block">
   <input type="hidden" name="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-checkboxes '.$settings['param_name'].' '.$settings['type'].'_field" value="'.$value.'"  />
   <div class="custom_taxonomy_list_items">'.$output.'</div>
 </div>';
}

function from_vs_indicatior_settings_field($settings, $value) {
  
  return '<div class="from_vs_indicatior_block" >'
  .'<input type="hidden" name="from_vs" class="wpb_vc_param_value wpb-checkboxes '.$settings['param_name'].' '.$settings['type'].'_field" value="yes" /></div>';
}

vc_add_shortcode_param('from_vs_indicatior', 'from_vs_indicatior_settings_field');
vc_add_shortcode_param('custom_taxonomy_list', 'custom_taxonomy_list_settings_field', get_template_directory_uri() . '/vc_templates/js/vc_centum_vc_scripts.js');
vc_add_shortcode_param('custom_posts_list', 'custom_posts_list_settings_field', get_template_directory_uri() . '/vc_templates/js/vc_centum_vc_scripts.js');


  ?>
