<?php

/*
 * Counters for Visual Composer
 *
 */

add_action( 'init', 'centum_counterbox_integrateWithVC' );
  function centum_counterbox_integrateWithVC() {

    vc_map( array(
      "name" => esc_html__("Counters wrapper", "centum"),
      "base" => "counters",
      "as_parent" => array('only' => 'counter'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
      "content_element" => true,
      "category" => esc_html__('Centum', 'centum'),
      'icon' => 'centum_icon',
      "show_settings_on_create" => false,
      "params" => array(
          // add params same as with any other content element

        array(
          'type' => 'from_vs_indicatior',
          'heading' => esc_html__( 'From Visual Composer', 'centum' ),
          'param_name' => 'from_vs',
          'value' => 'yes',
          'save_always' => true,
          )
        ),
      "js_view" => 'VcColumnView'
      ));


    vc_map( array(
      "name" => esc_html__("Counter box", 'centum'),
      "base" => "counter",
      'icon' => 'centum_icon',
      'description' => esc_html__( 'Animated number counter', 'centum' ),
      "category" => esc_html__('Centum', 'centum'),
      "params" => array(
        array(
          'type' => 'textfield',
          'heading' => esc_html__( 'Title', 'centum' ),
          'param_name' => 'title',
          'description' => esc_html__( 'Enter text which will be used as title.', 'centum' )
          ),
       
        array(
          'type' => 'textfield',
          'heading' => esc_html__( 'Value', 'centum' ),
          'param_name' => 'number',
          'description' => esc_html__( 'Only number (for example 2,147).', 'centum' )
          ),      

        array(
          'type' => 'textfield',
          'heading' => esc_html__( 'Scale', 'centum' ),
          'param_name' => 'value',
          'description' => esc_html__( 'Optional. For example %, degrees, k, etc.', 'centum' )
          ),
        array(
          'type' => 'iconpicker',
          'heading' => esc_html__( 'Icon', 'centum' ),
          'param_name' => 'icon',
          'description' => esc_html__( 'Icon', 'centum' ),
        ),

         array(
          'type' => 'checkbox',
          'heading' => esc_html__( 'Used in Counter wrapper?', 'centum' ),
          'param_name' => 'in_full_width',
          'description' => esc_html__( 'Please check this box if counter is inside the "Counter wrapper" element', 'centum' ),
          'value' => array( esc_html__( 'Yes', 'centum' ) => 'yes' ),
          'default' => 'yes',
          'save_always' => true,
        ), 
        array(
          'type' => 'dropdown',
          'heading' => esc_html__( 'Width of the box', 'centum' ),
          'param_name' => 'width',
          'description' => esc_html__( 'Applicable if the element is inside the "Counter wrapper" element', 'centum' ),
          'value' => array(
            esc_html__('Two','centum') => 'eight',
            esc_html__('Three','centum') => 'one-third',
            esc_html__('Four','centum') => 'four',
            ),
          'save_always' => true,
        ),
        array(
          'type' => 'from_vs_indicatior',
          'heading' => esc_html__( 'From Visual Composer', 'centum' ),
          'param_name' => 'from_vs',
          'value' => 'yes',
          'save_always' => true,
          )
        ),
  ));
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Counters extends WPBakeryShortCodesContainer {
    }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Counter extends WPBakeryShortCode {
    }
}
?>