<?php 
add_action( 'init', 'centum_pricing_table_integrateWithVC' );
function centum_pricing_table_integrateWithVC() {

  vc_map( array(
    "name" => __("Pricing Tables", "centum"),
    "base" => "pricingwrapper",
    'icon' => 'centum_icon',
    "as_parent" => array('only' => 'pricingtable'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
    "content_element" => true,
    "category" => __('Centum',"centum"),
    "show_settings_on_create" => true,
    "params" => array(
      array(
        "type" => "dropdown",
        "heading" => __("Number of tables inside", "centum"),
        "param_name" => "number",
        'value' => array(
            '2' => '2',
            '3' => '3',
            '4' => '4',
            '5' => '5',
          ),
        "description" => __("How many pricing tables are inside", "centum")
        ),     
     ),
    "js_view" => 'VcColumnView'
    ));

  vc_map( array(
    "name" => __("Pricing Table", 'centum'),
    "base" => "pricingtable",
    "as_child" => array('only' => 'pricingwrapper'),
    'icon' => 'centum_icon',
    'description' => __( 'Pricing table', 'centum' ),
    "category" => __('Centum', 'centum'),
    "params" => array(
    array(
        'type' => 'dropdown',
        'heading' => __( 'Color', 'centum' ),
        'param_name' => 'color',
        'value' => array(
          __('1','centum') => '1',
          __('2','centum') => '2',
          __('3','centum') => '3',
          ),
        ),

    array(
      'type' => 'textfield',
      'heading' => __( 'Title', 'centum' ),
      'param_name' => 'header',
      'description' => __( 'Enter text which will be used as title. Leave blank if no title is needed.', 'centum' )
      ),
    array(
      'type' => 'textfield',
      'heading' => __( 'Price', 'centum' ),
      'param_name' => 'price',
      'value' => '30',
      ),
    array(
      'type' => 'textfield',
      'heading' => __( 'Per', 'centum' ),
      'param_name' => 'per',
      'value' => 'per month',
      ),
      array(
      'type' => 'textarea_html',
      'heading' => __( 'Content', 'centum' ),
      'param_name' => 'content',
      'description' => __( 'Put here simple UL list', 'centum' )
      ),
      array(
          'type' => 'vc_link',
          'heading' => __( 'URL (Link)', 'centum' ),
          'param_name' => 'url',
          'description' => __( 'Button link.', 'centum' )
        ),
      array(
        'type' => 'from_vs_indicatior',
        'heading' => __( 'From Visual Composer', 'centum' ),
        'param_name' => 'from_vs',
        'value' => 'yes',
        'save_always' => true,
        )
      ),
));
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
  class WPBakeryShortCode_Pricingwrapper extends WPBakeryShortCodesContainer {
  }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
  class WPBakeryShortCode_Pricingtable extends WPBakeryShortCode {
  }
}  

?>