<?php 

  
add_action( 'init', 'centum_recent_blog_integrateWithVC' );
function centum_recent_blog_integrateWithVC() {
  vc_map( array(
    "name" => __("Recent blog posts","centum"),
    "base" => "recent_blog",
    'icon' => 'centum_icon',
    'description' => __( 'Recent posts list', 'centum' ),
    "category" => __('Centum',"centum"),
    /*  'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
    'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),*/
    "params" => array(
      array(
        'type' => 'dropdown',
        'heading' => __( 'Elements to show', 'centum' ),
        'param_name' => 'limit',
        'value' => array('1','2','3','4','5','6','7','8','9','10','11','12'),
        'std' => '4'
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'In how many columns will be post displayed', 'centum' ),
        'param_name' => 'columns',
        'value' => array('2','3','4'),
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Order by', 'centum' ),
        'param_name' => 'orderby',
        'value' => array(
          __( 'Date', 'centum' ) => 'date',
          __( 'ID', 'centum' ) => 'ID',
          __( 'Author', 'centum' ) => 'author',
          __( 'Title', 'centum' ) => 'title',
          __( 'Modified', 'centum' ) => 'modified',
          __( 'Random', 'centum' ) => 'rand',
          __( 'Comment count', 'centum' ) => 'comment_count',
          __( 'Menu order', 'centum' ) => 'menu_order'
          ),
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Order', 'centum' ),
        'param_name' => 'order',
        'value' => array(
          __( 'Descending', 'centum' ) => 'DESC',
          __( 'Ascending', 'centum' ) => 'ASC'
          ),
        ),
        array(
        'type' => 'textfield',
        'heading' => __( 'Number of words from content to show below thumbnail', 'centum' ),
        'param_name' => 'limit_words',
        'description' => __( 'Type just a number', 'centum' ),
        'value' => 13
      ),
      array(
        'type' => 'custom_posts_list',
        'heading' => __( 'Exclude posts, leave empty to not exclude anything', 'centum' ),
        'param_name' => 'exclude_posts',
        'settings' => array(
          'post_type' => 'post',
          ),
        ),
      array(
        'type' => 'custom_taxonomy_list',
        'heading' => __( 'Show only this categories', 'centum' ),
        'param_name' => 'categories',
        'taxonomy' => 'category',
        ),
      array(
        'type' => 'custom_taxonomy_list',
        'heading' => __( 'Show only this tags', 'centum' ),
        'param_name' => 'tags',
        'taxonomy' => 'post_tag',
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Add "read more" button?', 'centum' ),
        'param_name' => 'read_more',
        'value' => array(
          __( 'Yes', 'centum' ) => 'yes',
          __( 'No', 'centum' ) => 'no'
          ),
        ),
      array(
        'type' => 'from_vs_indicatior',
        'heading' => __( 'From Visual Composer', 'centum' ),
        'param_name' => 'from_vs',
        'value' => 'yes',
        'save_always' => true,
        )
      ),
  ));
}


?>