<?php 
add_action( 'init', 'centum_recent_work_integrateWithVC' );
function centum_recent_work_integrateWithVC() {
  vc_map( array(
    "name" => __("Recent Portfolio", 'centum'),
    "base" => "recent_pf",
    'icon' => 'centum_icon',
    'description' => __( 'List with portfolio items ', 'centum' ),
    "category" => __('Centum',"centum"),
    "params" => array(
      array(
        'type' => 'dropdown',
        'heading' => __( 'Order by', 'centum' ),
        'param_name' => 'orderby',
        'value' => array(
          __( 'Date', 'centum' ) => 'date',
          __( 'ID', 'centum' ) => 'ID',
          __( 'Author', 'centum' ) => 'author',
          __( 'Title', 'centum' ) => 'title',
          __( 'Modified', 'centum' ) => 'modified',
          __( 'Random', 'centum' ) => 'rand',
          __( 'Comment count', 'centum' ) => 'comment_count',
          __( 'Menu order', 'centum' ) => 'menu_order'
          ),
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Order', 'centum' ),
        'param_name' => 'order',
        'value' => array(
          __( 'Descending', 'centum' ) => 'DESC',
          __( 'Ascending', 'centum' ) => 'ASC'
          ),
        ),     
      array(
        'type' => 'dropdown',
        'heading' => __( 'Open photos in Lightbox?', 'centum' ),
        'param_name' => 'lightbox',
        'value' => array(
          __( 'Yes', 'centum' ) => 'yes',
          __( 'No', 'centum' ) => 'no'
          ),
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Elements to show', 'centum' ),
        'param_name' => 'limit',
        'value' => array(
          '3' => '3',
          '4' => '4',
          '5' => '5',
          '6' => '6',
          '7' => '7',
          '8' => '8',
          '9' => '9',
          '10' => '10',
          '11' => '11',
          '12' => '12',
          '15' => '15',
          '16' => '16',
          ),
        'std' => '6'
        ),
      array(
        'type' => 'custom_posts_list',
        'heading' => __( 'Potfolio items to Exclude', 'centum' ),
        'param_name' => 'exclude_posts',
        'settings' => array(
          'post_type' => 'portfolio',
          ),
        'description' => __( 'Select items to exclude from list.', 'centum' )
        ),
      array(
        'type' => 'custom_taxonomy_list',
        'heading' => __( 'Portfolio filters', 'centum' ),
        'param_name' => 'filters',
        'taxonomy' => 'filters',
        'description' => __( 'Select categories from which portfolio items will be populated.', 'centum' )
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Add "read more" button?', 'centum' ),
        'param_name' => 'read_more',
        'value' => array(
          __( 'Yes', 'centum' ) => 'yes',
          __( 'No', 'centum' ) => 'no'
          ),
        ),
      array(
        'type' => 'from_vs_indicatior',
        'heading' => __( 'From Visual Composer', 'centum' ),
        'param_name' => 'from_vs',
        'value' => 'yes',
        'save_always' => true,
        ),
      ),

));
} ?>