<?php 

/*
 * Testimonials for Visual Composer
 *
 */
add_action( 'init', 'centum_testimonials_wide_integrateWithVC' );
function centum_testimonials_wide_integrateWithVC() {
  vc_map( array(
    "name" => __("Testimonials (wide)", 'centum'),
    "base" => "testimonials_wide",
    'icon' => 'centum_icon',
    'description' => __( 'Testimonials carousel ', 'centum' ),
    "category" => __('Centum',"centum"),
    "params" => array(
      array(
          'type' => 'textfield',
          'heading' => esc_html__( 'Title', 'centum' ),
          'param_name' => 'title',
          'description' => esc_html__( 'Enter text which will be used as title', 'centum' )
          ),  
      array(
        'type' => 'dropdown',
        'heading' => __( 'Order by', 'centum' ),
        'param_name' => 'orderby',
        'value' => array(
          __( 'Date', 'centum' ) => 'date',
          __( 'ID', 'centum' ) => 'ID',
          __( 'Author', 'centum' ) => 'author',
          __( 'Title', 'centum' ) => 'title',
          __( 'Modified', 'centum' ) => 'modified',
          __( 'Random', 'centum' ) => 'rand',
          __( 'Comment count', 'centum' ) => 'comment_count',
          __( 'Menu order', 'centum' ) => 'menu_order'
          ),
        'save_always' => true,
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Order', 'centum' ),
        'param_name' => 'order',
        'value' => array(
          __( 'Descending', 'centum' ) => 'DESC',
          __( 'Ascending', 'centum' ) => 'ASC'
          ),
        ),
      array(
        'type' => 'dropdown',
        'heading' => __( 'Elements to show', 'centum' ),
        'param_name' => 'per_page',
        'value' => array(
          '4' => '4',
          '5' => '5',
          '6' => '6',
          '7' => '7',
          '8' => '8',
          '9' => '9',
          '10' => '10',
          '11' => '11',
          '12' => '12',
          ),
        'std' => '6'
        ),
  
      array(
        'type' => 'attach_image',
        'heading' => esc_html__( 'Background image', 'centum' ),
        'param_name' => 'background',
        'value' => '',
        'description' => esc_html__( 'Select image from media library.', 'centum' )
      ),

    
      array(
        'type' => 'custom_posts_list',
        'heading' => __( 'Testimonials items to include', 'centum' ),
        'param_name' => 'include_posts',
        'settings' => array(
          'post_type' => 'testimonial',
          ),
        'description' => __( 'Select items, leave empty to use all.', 'centum' )
        ),
      array(
        'type' => 'custom_posts_list',
        'heading' => __( 'Testimonials to exclude', 'centum' ),
        'param_name' => 'testimonial',
        'settings' => array(
          'post_type' => 'testimonial',
          ),
        'description' => __( 'Select items to exclude from list.', 'centum' )
        ),
      array(
        'type' => 'from_vs_indicatior',
        'heading' => esc_html__( 'From Visual Composer', 'centum' ),
        'param_name' => 'from_vs',
        'value' => 'yes',
        'save_always' => true,
        )
      ),

));
}

?>