<?php
/**
 * Single product short description
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/short-description.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  Automattic
 * @package WooCommerce/Templates
 * @version 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

global $post;
$share = ot_get_option('pp_woo_share',array());
$shortcode = '';
$showit = false;

if (in_array("facebook", $share)) {
    $shortcode .= 'facebook="yes" ';
    $showit = true;
}
if (in_array("pinit", $share)) {
    $shortcode .= 'pinit="yes" ';
    $showit = true;
}
if (in_array("twitter", $share)) {
    $shortcode .= 'twitter="yes" ';
    $showit = true;
}
if (in_array("gplus", $share)) {
    $shortcode .= 'gplus="yes" ';
    $showit = true;
}

if ( ! $post->post_excerpt ) { ?>
<section>
    <div itemprop="description" id="product-description">
        <?php
        if($showit == true){
            echo do_shortcode( '[shareit '.$shortcode.']' );
        }
        ?>
    </div>
</section>
<?php } else { ?>
<section>
    <div itemprop="description" id="product-description">
    	<?php echo apply_filters( 'woocommerce_short_description', $post->post_excerpt );

        if(function_exists('yith_wishlist_constructor')) { echo do_shortcode( '[yith_wcwl_add_to_wishlist]' ); }
        if($showit == true){

            echo do_shortcode( '[shareit '.$shortcode.']' );
        }
       ?>
    </div>
</section>
<?php } ?>